Subject: Re: [Patch v4 0/3] Register with RDMA SOC interface and support for CQ

From: Leon Romanovsky <[email-masked]>
Date: Wed, 20 Dec 2023 09:40:18 +0200

On Mon, Dec 18, 2023 at 06:23:21PM +0000, Long Li wrote:
> > Subject: Re: [Patch v4 0/3] Register with RDMA SOC interface and support for CQ
> > 
> > On Fri, Dec 15, 2023 at 06:04:12PM -0800, [email-masked] wrote:
> > > From: Long Li <[email-masked]>
> > >
> > > This patchset add support for registering a RDMA device with SoC for
> > > support of querying device capabilities, upcoming RC queue pairs and
> > > CQ interrupts.
> > >
> > > This patchset is partially based on Ajay Sharma's work:
> > > https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Flore
> > > .kernel.org%2Fnetdev%2F1697494322-26814-1-git-send-email-sharmaajay%40
> > >
> > linuxonhyperv.com&data=05%7C02%7Clongli%40microsoft.com%7Caaadcacece2
> > b
> > >
> > 44117bfd08dbff03b2c3%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C
> > 6383
> > >
> > 84163586869634%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJ
> > QIjoiV2l
> > >
> > uMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000%7C%7C%7C&sdata=e4G1tI9
> > VOTGv
> > > rA3UF6YQZ%2BM2uDDd71sZpejOvhl2y60%3D&reserved=0
> > >
> > > Changes in v2:
> > > Dropped the patches to create EQs for RC QP. They will be implemented
> > > with RC patches.
> > 
> > You sent twice v2, never sent v3 and two days later sent v4 without even
> > explaining why.
> > 
> > Can you please invest time and write more detailed changelog which will include
> > v2, v3 and v4 changes?
> > 
> > Tanks
> 
> I'm sorry, the cover letter for the 2nd v2 should be v3 (it was a typo). The rest of the patches in that series are correctly labeled as v3.
> 
> For v3 and v4, I put the change log in the individual patches, as there are no changes to the cover letter. If you think I should put change logs in the cover letter, please let me know.

For the future submission, yes, please write changelog in the cover letter.

Thanks

> 
> Subject: [Patch v4 2/3] RDMA/mana_ib: query device capabilities
> Change in v4:
> On query device failure, goto deregister_device, not ib_free_device
> Change function name mana_ib_query_adapter_caps() to mana_ib_gd_query_adapter_caps() to better reflect this is a HWC request
> 
> Subject: [Patch v4 3/3] RDMA/mana_ib: Add CQ interrupt support for RAW QP
> Change in v3:
> Removed unused varaible mana_ucontext in mana_ib_create_qp_rss().
> Simplified error handling in mana_ib_create_qp_rss() on failure to allocate queues for rss table.
> 
> Thanks,
> 
> Long
> 
> > 
> > >
> > >
> > > Long Li (3):
> > >   RDMA/mana_ib: register RDMA device with GDMA
> > >   RDMA/mana_ib: query device capabilities
> > >   RDMA/mana_ib: Add CQ interrupt support for RAW QP
> > >
> > >  drivers/infiniband/hw/mana/cq.c               | 34 ++++++-
> > >  drivers/infiniband/hw/mana/device.c           | 31 +++++--
> > >  drivers/infiniband/hw/mana/main.c             | 69 ++++++++++----
> > >  drivers/infiniband/hw/mana/mana_ib.h          | 53 +++++++++++
> > >  drivers/infiniband/hw/mana/qp.c               | 90 ++++++++++++++++---
> > >  .../net/ethernet/microsoft/mana/gdma_main.c   |  5 ++
> > >  include/net/mana/gdma.h                       |  5 ++
> > >  7 files changed, 252 insertions(+), 35 deletions(-)
> > >
> > > --
> > > 2.25.1
> > >